OrderedSetType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class OrderedSetType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.CollectionType
              org.hibernate.type.SetType
                  org.hibernate.type.OrderedSetType

All Implemented Interfaces:
  Serializable, AssociationType, Type

    public class OrderedSetType

extends SetType

A specialization of the set type, with (resultset-based) ordering.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.CollectionType
`UNFETCHED_COLLECTION`

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`OrderedSetType(TypeFactory.TypeScope typeScope, String role, String propertyRef, boolean isEmbeddedInXML)` Constructs a set type capable of creating ordered sets of the given role.

Method Summary
`Object` | `instantiate(int anticipatedSize)` Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e.

Methods inherited from class org.hibernate.type.SetType
`getReturnedClass, instantiate, wrap`

Methods inherited from class org.hibernate.type.CollectionType
`assemble, compare, contains, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getAssociatedEntityName, getAssociatedJoinable, getCollection, getColumnSpan, getElementsIterator, getElementsIterator, getElementType, getForeignKeyDirection, getHashCode, getIdOfOwnerOrNull, getKeyOfOwner, getLHSPropertyName, getName, getOnCondition, getRHSUniqueKeyPropertyName, getRole, hasHolder, hydrate, indexOf, initializeImmediately, instantiateResult, isAlwaysDirtyChecked, isArrayType, isAssociationType, isCollectionType, isDirty, isDirty, isEmbeddedInXML, isEqual, isModified, isMutable, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, renderLoggableString, replace, replaceElements, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, useLHSPrimaryKey`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`beforeAssemble, getHashCode, getSemiResolvedType, isAnyType, isComponentType, isEntityType, isEqual, isSame, replace`

Constructor Detail

### OrderedSetType

    public OrderedSetType(TypeFactory.TypeScope typeScope,
                          String role,
                          String propertyRef,
                          boolean isEmbeddedInXML)

  Constructs a set type capable of creating ordered sets of the given role.

  Parameters:
    `typeScope` - The scope for this type instance.
    `role` - The collection role name.
    `propertyRef` - The property ref name.
    `isEmbeddedInXML` - Is this collection to embed itself in xml

Method Detail

### instantiate

    public Object instantiate(int anticipatedSize)

  Instantiate an empty instance of the "underlying" collection (not a wrapper), but with the given anticipated size (i.e. accounting for initial capacity and perhaps load factor).

  Overrides:
    `instantiate` in class `SetType`
  Parameters:
    `anticipatedSize` - The anticipated size of the instaniated collection after we are done populating it.
  Returns:
    A newly instantiated collection to be wrapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.